<?php

/**
 * @file
 * Providing extra functionality for the Model UI via views.
 */

/**
 * Implements hook_views_default_views().
 */
function scrum_views_default_views() {

  $view = new view();
  $view->name = 'scrum_sprint_listing';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'scrum_sprint';
  $view->human_name = 'Sprints - Listing';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Scrum - Sprints';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Field: Sprint: Sprint ID */
  $handler->display->display_options['fields']['sid']['id'] = 'sid';
  $handler->display->display_options['fields']['sid']['table'] = 'scrum_sprint';
  $handler->display->display_options['fields']['sid']['field'] = 'sid';
  /* Field: Sprint: Project_id */
  $handler->display->display_options['fields']['project_id']['id'] = 'project_id';
  $handler->display->display_options['fields']['project_id']['table'] = 'scrum_sprint';
  $handler->display->display_options['fields']['project_id']['field'] = 'project_id';
  $handler->display->display_options['fields']['project_id']['separator'] = '';
  /* Field: Sprint: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'scrum_sprint';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  /* Field: Sprint: Start_date */
  $handler->display->display_options['fields']['start_date']['id'] = 'start_date';
  $handler->display->display_options['fields']['start_date']['table'] = 'scrum_sprint';
  $handler->display->display_options['fields']['start_date']['field'] = 'start_date';
  $handler->display->display_options['fields']['start_date']['separator'] = '';
  /* Field: Sprint: Finish_date */
  $handler->display->display_options['fields']['finish_date']['id'] = 'finish_date';
  $handler->display->display_options['fields']['finish_date']['table'] = 'scrum_sprint';
  $handler->display->display_options['fields']['finish_date']['field'] = 'finish_date';
  $handler->display->display_options['fields']['finish_date']['separator'] = '';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'admin/content/casetracker/scrum-sprints';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Sprints';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  $views['scrum_sprint_listing'] = $view;

  $view = new view();
  $view->name = 'scrum_backlog';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'casetracker_case';
  $view->human_name = 'Backlog';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Backlog';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Field: Case: Case ID */
  $handler->display->display_options['fields']['cid']['id'] = 'cid';
  $handler->display->display_options['fields']['cid']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['cid']['field'] = 'cid';
  /* Field: Case: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  /* Field: Case: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Case: Creation date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'raw time ago';
  /* Filter criterion: Case: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'casetracker_case';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'scrum_story' => 'scrum_story',
    'scrum_task' => 'scrum_task',
  );
  /* Filter criterion: Case: Story (field_scrum_parent_ref) */
  $handler->display->display_options['filters']['field_scrum_parent_ref_target_id']['id'] = 'field_scrum_parent_ref_target_id';
  $handler->display->display_options['filters']['field_scrum_parent_ref_target_id']['table'] = 'field_data_field_scrum_parent_ref';
  $handler->display->display_options['filters']['field_scrum_parent_ref_target_id']['field'] = 'field_scrum_parent_ref_target_id';
  $handler->display->display_options['filters']['field_scrum_parent_ref_target_id']['operator'] = 'empty';
  /* Filter criterion: Case: Sprint (field_scrum_sprint_ref) */
  $handler->display->display_options['filters']['field_scrum_sprint_ref_target_id']['id'] = 'field_scrum_sprint_ref_target_id';
  $handler->display->display_options['filters']['field_scrum_sprint_ref_target_id']['table'] = 'field_data_field_scrum_sprint_ref';
  $handler->display->display_options['filters']['field_scrum_sprint_ref_target_id']['field'] = 'field_scrum_sprint_ref_target_id';
  $handler->display->display_options['filters']['field_scrum_sprint_ref_target_id']['operator'] = 'empty';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'admin/content/casetracker/backlog';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Backlog';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  $views['scrum_backlog'] = $view;
  
  return $views;
}